#pragma once
#include "Type/types.hpp"
#include <PSX/GPU/gpu_auto_load_font.hpp>

namespace JabyEngine {
    struct DefaultFont {
        static constexpr auto Info = FontInfo {
            .texture_size = {64, 80},
            .font_size    = {12, 16}
        };

        static void load(uint32_t* work_area, SimpleTIM vram_dst);
    };

    struct BIOSFont {
        static constexpr auto Info = FontInfo {            
            .texture_size = {64, 96},
            .font_size    = {16, 16}
        };

        static constexpr auto TIM = SimpleTIM(JabyEngine::GPU::BIOS_Font::TextureLoadPos.x, JabyEngine::GPU::BIOS_Font::TextureLoadPos.y, JabyEngine::GPU::BIOS_Font::CLUTLoadPos.x, JabyEngine::GPU::BIOS_Font::CLUTLoadPos.y);
    };
}